TreeDBNotes Pro 3
...........................................................................
Version 4.2

  Build 05 (2 Dec 2011)
  - Fix: Hyperlinks, incorrect prefix file://
  - Fix: DEL key when rename folder
  - Fix: Problem with sorting (trees and folders)

  Build 03 (21 Nov 2011)
  - Fix: Set encryption for docment
  - Fix: Print task list with default templates
  - Fix: External view and Save to database

  Build 02 (9 Nov 2011)
  - New: SEO Tools: Text generator (some examples in demo file)
  - Fix: Insert new note and focus
  - Fix: Insert new note (from template)
  - Fix: Insert new note (from clipboard)
  
  Build 01 (7 Nov 2011)
  - New: Export Notes subtree as Mozilla firefox extension (.xpi). Some demos in DEMO file.
  - New: Tables: Rotate cells (Notes: table/Rotate)
  - New: Tables: Split table
  - New: Tables: Convert table to text
  - New: Support for callto: hyperlinks
  - New: DEL key - delete folders in the focused tree
  - New: Options: Enable/Disable auto-edit title (notes tree)
  - Improvement: Tables: Sort table (direction, header and more): Insert default folder in hidden mode. CTRL key show dialog
  - Improvement: Tables: Sort table (direction, header and more): Hyperlinks (Unicode title, editable title in hyperlink editor)
  - Improvement: Tables: Sort table (direction, header and more)
  - Fix: Re-sort tree when click on a tree border
  - Fix:   Alarms: Edit record on click
  - Fix:   Show / hide scratch pad from tray (2 clicks)
  - Fixes from debug messages: onChangeFolderIcon, onNewDoc, CheckExternal, Unknown index ByPosition, onClick (home panel), SetFolder_Active_DBID, UPDATE_BY_FOLDERS
  

  
Version 4.1

  Build 03 (2 Sep 2011)
  - Fix: Exception: Home panel - onNodeClick
  - Fix: Exception: Change folder - ClearLiveSpellingResults
  - Fix: Exception: Change icon (folder properties)
  - Fix: Exception: Icon manager - add icons
  - Improvement: Icon manager (support unicode libraries and folders)


  Build 02 (1 Sep 2011)
  - New: Enable/Disable grouping styles (tools/Options)
  - New: Ability to send an error report
  - Fix: Save options and changes at Windows reset and shutdown
  - Fix: Document file name in application title
  - Fix: Remember tree tabs mode (vertical / horizontal)

  Build 01 (30 Aug 2011)
   - New: Export Notes to folder structure (as RTF, DOC, HTML, TXT or RVF)
   - New: Import Notes from folder structure (from RTF, HTML, TXT or RVF)
   - New: Support clipboard Cut, Cop and Paste for notes branches
   - Improvement: Unicode file names (Export to Web site)
   - Improvement: Improved export MS Word DOC
   - Improvement: Improved export dialogs: Export to HTML eBook (web site), Email Note
   - A lot of minor changes and fixes




Version 4.0 

  Build 005 (10 Aug 2011)
   - New: Launch eInfi Reader from menu (Tools/eInfi Reader)
   - New: Default file name (File/Save as...)
   - Fix: Date and time format in unicode (interface, toolbar and editor)
   - Fix: Support of unicode filenames in TreeDB documents (new, open, backup, restore, save as)
   - Fix: Support of unicode filenames in eBooks (publish ebook, open)
   - Fix: Insert date and time (incorrect cursor position)
   - Fix: Parse variables in unicode mode (loss of unicode after: insert the template, parse variables)
   - Fix: Task Editor - Change Priority
   - Fix: Show help file in Windows 7 (error: file not found)
   - eInfi Reader 1.1 (Support of unicode filenames, some fixes)
   - Some changes in toolbars (Change icon, Show header and Sort folders)

  Build 002 (1 Aug 2011)
   - Improvement: Theme and toolbar color (contacts, passwords, tasks)
   - New: Viewer - preview of note (contacts, passwords, tasks)
   - New: variants for title (contacts)
   - Improvement: Date&Time functions in unicode
   - Fix: Build import profile (error dialog)
   - Fix: Show/Hide tree tabs
   - Fix: Selecting multiple folders with the mouse (contacts, passwords, tasks)
   - A lot of minor changes and fixes


  Build 001 (15 July 2011)
   - A lot of minor changes and fixes

  Beta-3
   - A lot of minor changes and fixes

  Beta-2 (31 May 2011)
   - New: Tree-structured shortcuts editor
   - New: Global search options: Search in selected notes
   - New: Statusbar - display attachments (for note)
   - New: eBook option: Add custom image (jpg, png)
   - New: eBook option: Disable Document actions
   - New: eBook option: Do not use INI file
   - New: Next folder (Ctrl+Alt+Down), Previous folder (Ctrl+Alt+Up) 
   - New: Group styles by letter (Folder styles and text styles)
   - Improvement: Interface and text
   - Improvement: Tree tabs (Next, Previous, All)
   - Improvement: Keyword manager (Groups)
   - Improvement: Tag clous (support phrases)
   - Fix: Attachment and unicode filenames
   - Fix: Main form offscreen position
   
  eInfi Reader 1.1
   - Custom Logo
   - External control (with windows messages)
   - Keep on top 


  Beta-1 (5 May 2011)
   - Completely rewritten the contacts module 
   - Completely rewritten the passwords module 
   - Completely rewritten the todo module
   - Completely rewritten the Notes Dynamic Editor
   - New Notes tools: Split, Merge, Clipboard monitor
   - A lot of minor changes and fixes

Version 3.50
  Build 002 (17 Dec 2010)
   - New: Confirmation Dialog (Options: Dialogs: Save Changes)
   - Update: Some languages
   - Fix: Search / Copy Subtree / Exception (TMP_TABLE: read-only dataset)
   - Fix: Dynamic Navigator (Refresh titles)
   - Fix: Differences in Text Stats 
   - Fix: Save as... (Save current note)
   - A lot of minor changes and fixes

  Build 001 (3 Dec 2010)
   - New: Autocomplete words library
   - New: Read Only Notes (Folder Properties or menu: Notes/Set: Read Only)
   - New: Writers Timer (Notes Status bar)
   - New: Sort Table (Menu: Notes/tables/Sort Table)
   - New: Icons in Icon library
   - New: Templates (Calendar 2010, 2011, Headers, Bars and more)
   - Improvement: Notes Status bar (Autocomplete, Timer, Words and Symbols counter)
   - Improvement: Interface (Draw speed)
   - Fix: Hyperlink to Folder (Error message: File not Found)
   - A lot of minor changes and fixes


Version 3.49
  Build 001 (16 Aug 2010)
   - New: Notes History (Main menu: Folders/Last 30 Notes)
   - New: Slovenian localization
   - Improvement: Highlighting of text
   - Improvement: Autobackup Explorer renamed to Backup Explorer
   - Improvement: Backup Explorer (view all backup files: auto and manual)
   - Improvement: Backup Explorer (ability to restore a document)
   - Improvement: Status Bar (Backup button)
   - Improvement: Main menu/File (Changed the location of some commands)
   - Fix: Exception 132 (Loading of options)
   - Fix: Exception 348 (Checking of Dictionaries)
   - A lot of minor changes and fixes


Version 3.48 
  Build 002 (5 May 2010)
   - Fix: Incorect TreeIndex at "Folders Move to..."
   - Fix: Update notes after removal of the tree.
   - Fix: Refreshing list of folders after add or delete tree.

  Build 001 (22 Mar 2010)
   - New: Image library (an opportunity to create new libraries)
   - New: MSBTree for icons list (Image library)
   - New: MSBTree for the TreeDB Home (calendar, quick links, messages)
   - New: Now remembers the last folder (Image library)
   - New: Enter key starts the search (Global search)
   - New: Show full path of folder (Status Bar)
   - New: Import Wizard: Many internal changes. Support profiles.
   - New: Export Wizard: Many internal changes. Support profiles.
   - New: Options/Notes/Save selection (Enable or Disable)
   - New: Sort folders: Ctrl key - full tree; Shift - descending (direction)
   - New: Options/Show Toolbar Tooltips (Enable or Disable)
   - New: The ESC moves the focus from the tree to the editor. Back: CTRL + TAB
   - New: Object position (menu: Notes/Object position)
   - Fix: Goto folder (problems with focus)
   - Fix: Auto-Paste Hyperlink (advanced hyperlink window)
   - Fix: Export to CSV (for notes)
   - Fix: Password window (lost focus, keys: ENTER and ESC)
   - Fix: Print ToDo tree
   - Fix: To-Do priority (value +1)
   - Fix: The ESC closes the window (Contact editor and Password editor)
   - Fix: List of TreeDB files 
   - Fix: Change icons - cancel - lost icon.
   - Fix: Customize: Now commands are sorted alphabetically.
   - A lot of minor changes and fixes

Version Version 3.47

  Build 006 (19 Nov 2009)
 - Fix: Copy image to clipboard and Screen Capture
 - Fix: Change the caption after the right-click menu
 - Fix: Failure to remove the text using the DEL key

  Build 005 (9 Nov 2009)
    - New: Zoom In and Zoom Out commands (Main menu: View/Zoom ...)
    - New: Right to Left / Left to Right commands for text
    - New: 3 templates with TreeDBNotes variables (Templates/Variables/)
    - New: Text Tools: Trim Spaces; Delete Blank Lines (Main menu: Notes/Tools/	)
    - New: Month Calendar Generator (Main menu: Notes/Insert/)
    - Fix: Custom Variables and Templates (Insert from history)
    - A lot of minor changes and fixes

Version Version 3.46 

  Build 022 (14 Sept 2009)
   - New: Global Search in main menu (Notes/Global search)
   - Improvement: Password dialog
   - Improvement: Database restore (default folder)
   - Improvement: Create a portable version
   - A lot of minor changes and fixes

  Beta 2 (Build 015, 31 Aug 2009)
   - New: Insert Date and Time command (Ctrl+Shift+J)
   - New: Icons in TreeDBNotes Icons manager
   - New: New contacts in demo file: Hollywood Stars (DEMO_PRO.TreeDB)
   - Bug fix: Hyperlink and network drives (By Label)
   - Bug fix: Set/Remove database encryption
   - A lot of minor changes and fixes

  Beta 1 (Build 003, 14 Aug 2009)
   - New: Import Wizard
   - New: Export Wizard
   - Drag&Drop files into the notes editor
   - Parse custom vars in notes and templates
   - A lot of minor changes and fixes


Version 3.45 
 Build 018 (18 May 2009)
- Bug fix: A very important issue. Incorrect behavior in the deleting of the tree. Sometimes, the program can delete records from another tree.
- Bug fix: Inserting folder/subfolder (Thread-Exception)
- Bug fix: Deleting empty folders (SQL-Exception)
- New: Integrated web search in Notes, Contacts and Passwords manager. (Google, Images, Maps, Translate, MSN, Wikipedia, Digg, Youtube, Yahoo, Flickr, Amazon, eBay, IMDB).
- New: Search Engines manager
- New: Minimize TreeDBNotes on startup
- New: Run TreeDBNotes on Windows startup
- New: Auto-check for software upgrade
- New: Lock timeout
- A lot of minor changes and fixes

Versin 3.4
 Build 010 (1 may 2009)
    - New: ToDo Manager
    - New: Custom Variables (Main menu: Tools)
    - New: Categories and Markers (Main menu: Tools)
    - New: More informative notes status bar (language, spelling, keys)
    - New: Screen Capture interface
    - New: Get Photo from screen (Contact Editor window)
    - New: Automatic detection of hyperlinks (hyperlink window)
    - New: More powerful Hyperlinks (relative mode, custom variables, link to drive)
    - New: Attachments Drag and Drop
    - New: Templates History (Notes Manager)
    - New: View multiple folders simultaneously (Contacts, Passwords, ToDo)
    - New: Print PIM records (all, week, month, year)
    - Improvement: Speed of reading records from database (Contacts, Passwords, ToDo)
    - Improvement: Notes History
    - Improvement: Folders and custom styles
    - Improvement: Interface and menu
    - Bug fix: Notes History
    - Bug fix: Default Notes font
    - Bug fix: Icons Library
    - Bug fix: Folders and Tree (error message)
    - A lot of minor changes and fixes

Version 3.37
 Build 010 (10 Feb 2009)
    - Fix: Security problem: Clear menu for clipboard
    - Fix: Spell checker (replace word)
    - Fix: Renamed: Week Names to Day Names
    - Fix: DB Compact dialog, button [More]
    - A lot of minor changes and fixes

 Build 001 (19 Dec 2008)
    - New: Printing contacts and passwords with templates
    - New: Search engine (new options and methods)
    - New: Tags Cloud (by keywords)
    - New: Keywords Manager
    - New: Quick keywords editor (Shift+Ctrl+K)
    - New: External text editor (customizable toolbars)
    - New: Shortcuts Manager (more powerful and useful)
    - New: Quick help - Keyboard shortcuts (F10)
    - New: More standard shortcuts for the existing actions
    - New: eInfi Reader (free TreeDBNotes e-Books Reader)
    - Fix: Save as... and Overwrite
    - Fix: Space symbol in a new empty note
    - Fix: Shortcuts (Save / Load)
    - Fix: Workspace (Save / Load)
    - Fix: Hyperlink window - Title
    - Fix: Saving settings spelling
    - A lot of minor changes and fixes

Version 3.36 
 Build 005 (02 July 2008)
    - New: Dynamic Navigator (toolbar)
    - New: Folders submenu (main menu: Folders/Folders...)  
    - New: Special marker (*) for password protected records (Folders and Trees)  
    - Optimized speed of saving toolbars
    - A lot of minor changes and fixes
    
 Build 004 (28 June 2008)
    - New: Title of the current folder (toolbar)
    - Fix: Invisible markers on homepage tab
    - Fix: Problem with Alarm sound file (PIM)
    - A lot of minor changes and fixes
    
 Build 003 (28 June 2008)
    - Fix: Problem with folders tree (invisible) (expand/collapse) 
    
 Build 002 (16 June 2008)
    - Fix: Incorrect translation for item Properties Form
    - A lot of minor changes and fixes
    
 Build 001 (12 June 2008)
    - New: Text styles - realtime preview (toolbar and submenu)
    - New: Save passwords list to text file (tools/passwords generator)
    - New: Measurement units: Inches; Centimeters; Millimeters; Picas; Pixels; Points (Options/Notes) 
    - New: Unicode modes: only unicode, no unicode, mixed (Options/Notes)
    - Fix: Close dialogs (windows) by ESC
    - Fix: Disable main menu (Folders and Edit) on TreeDB Homepage
    - Fix: Exception at Windows shutdown
    - Fix: Problem with external text editor and ESC key
    - A lot of minor changes and fixes
    
Version 3.35 
 Build 001 (26 Mar 2008)
    - New: Templates - sort by name
    - New: Ctrl+Click (double click) Open hyperlink in new window
    - New: Close to system tray (Option/General)
    - New: Remove Notes formatting (menu: Notes/Tools/)
    - New: Sort text (menu: Notes/Tools/)
    - New: Default folders title options. Based on Date, Time, Level or Index.    (Options/Default/)
    - New: Store options in INI file
    - New: Save/Load: Print/Page margin properties
    - Fix: Error at launching of two copies of TreeDBNotes
    - Fix: Selected text and Find/Replace dialog
    - Fix: Some themes and background color (Xito, Athen)
    - Fix: Disabled button in advanced hyperlink window (Browse)
    - Fix: Problem with Upgrade and Purchase window (menu: Help/)
    - Fix: Incorrect size of TABS after Maximize/Restore
    - Fix: Problem with Documents and Templates custom folders
    - Fix: Save/Load custom colors (Folders styles editor)
    - Fix: Paste images from Internet Explorer
    - A lot of minor changes and fixes


Version 3.3 
  Build 020 (18 Feb 2008)
    - New: Splash screen (TreeDBNotes Pro)
    - New: Support of TreeDBNotes free files (without contacts and passwords trees)
    - New: Show "Recommendation for database tools: Compact" (if necessary)  
    - New: Show real compression properties (Database settings window)
    - Fix: very important problem for new database and compression level
    - A lot of minor changes and fixes
  
  Build 015 (7 Feb 2008)
  
  Build 010 (1 Feb 2008)
    - New: Themes (new skin engine)
    - New: Load Themes (skin) from file, External TreeDB Themes Editor
    - New: Toolbars options (Options/General/Performance)
    - New: Print Tree (Notes, Contacts, Passwords), main menu: File/Print
    - New: Tools: Windows Calculator, Explorer, Dialer, On-Screen keyboard, Characters map
    - New: 10 bullets
    - New: Languages (Japanese, Dutch)
    - Fix: Incorrect size of attachments
    - Fix: Text styles (without selected text)
    - A lot of minor changes and fixes



Version 3.2 

 Build 023 (26 Nov 2007)  
  - Optimized speed of loading attachments (up to 40% / 50%)
  - Optimized speed of loading Icons (Icons Manager) (up to 40% / 50%)  
  - A lot of minor changes and fixes

 Build 022 (21 Nov 2007)  
  - Fix: Time in coming soon window
  - Fix: Delete Notes attachments
  - Optimized speed of loading tree (with icons) up to 40%

 Build 021 (14 Nov 2007)
  - New: Sorting (Attachments list, Alarms list)
  - New: Notes attachments window
  - New: External View - save changes to database
  - New: External View of multiple notes
  - New: Password Hint (for folders and trees)
  - New: Form auto-size (Image Converter, Screen grabber)
  - Improved search process and find window
  - Improved attachments (Double click for view and CTRL+Double click for Preview)
  - Fix: Folder Icon problem (after folder properties)
  - Fix: Problem with big attachments (file size more than 3 mb)
  - Fix: OLE objects problem
  - Fix: Flags and icons bug
  - Fix: Copy Language files (Flash version)
  - A lot of minor changes and fixes
  - New Language: Turkish
  - TreeDBViewer 3.2
  - Viewer: View Notes attachments
 
 
Version 3.1 Build 010 (18 Sept 2007)

  - New: Multilanguage interface
  - New: Notes/Insert Flash SWF files
  - New: Notes/Gif animation
  - New: Paste hyperlink from clipboard
  - New: Vertical ruler (Notes Editor)
  - New: External View (for Notes)
  - New: Notes: Vertical Ruler
  - New: Default e-Book language
  + TreeDBViewer 3.1
  - Fix: Exception (delete common phrase item)
  - Fix: Contacts Editor (OK and Cancel Button)
  - Fix: Images library (size of form)
  - A lot of minor changes and fixes


Version 3.0 Build 055 (15 Aug 2007)

    - New: Combine Notes
    - New: Combine and Export Notes  
    - New: Combine and Print (Preview)  
    - New: Link to Note, Bookmark, File, Web, Email
    - New: Print, Preview selected notes
    - Fix: Empty folder styles end New e-Book
    - Fix: Problem with email hyperlinks
    - A lot of minor changes (menu and icons) and fixes


Version 3.0 Build 050 (7 Aug 2007)

    - New: e-Book viewer (TreeDBViewer.exe)
    - New: Publish to e-Book 
           (Main menu: File/Publish to e-Book)
    - New: Favorites 
           (Main menu: Folder/Favorites/)
    - New: Folders Drag and Drop (Notes, Contacts, Passwords, Image library, Attachments)
    - New: Export selected notes to: TXT, RTF, DOC, HTML, RVF 
           (Main menu: Edit/Export notes/)
    - New: Right-click menu for: Search, Favorites and History lists
    - New: Editor right-click menu item: [Bookmarks]
    - New: Subfolders for Icons Library, Attachments and TreeDB Explorer
    - Improvement: Speed of search (global search)
    - Improvement: Format of search results: Tree title / Folder Title
    - Fix: Problem with AutoBackup folder
    - Fix: Removal of the password after Database Repair
    - Fix: Hyperlink to password protected Tree (Folder)
    - Fix: Problem with password protected items in TreeDB Explorer window
    - A lot of minor changes and fixes


Version 3.0 (Build 026 / 31 July 2007)
    - Fixed: Save Notes on TreeDB-Home
    - New Syntaxes: Java and Java Script
    - Optimized: Insert/Import HTML
    - A lot of minor changes and fixes.


Version 3.0 (27 July 2007)
	General:
		Notes Manager 
		Contacts Manager 
		Passwords (Accounts) Manager 
		Alarm and Reminders 
		Unicode (Titles, Folders, Notes, Trees... See DEMO_PRO.treeDB - Unicode) 
		eBook publishing (read, create your own stand-alone eBooks, free *.tdp e-Book reader) - Coming soon. 
		Import: KeyNote, TreePad, HTML, TreeDBNotes Notes Subtree files 
		Export: Notes, Contacts, Passwords, Notes Subtree 
		Icons Manager 
		Scratch Pad 
		Passwords generator 
		Screen capture tools (Capture to file, Clipboard, Notes) 
		Attachments (files) 
		Database Encryption (Des, Blowfish...) 
		Password protection: Trees, Folders 
		Database tools: Backup, Autobackup, Restore, Compact, Repair, Statistics 
		Convenient tree-structured form of notes representation 
		Dynamic loading and saving - extremely saves system memory 
		Fully configurable folders tree view (color, custom image for each note, background) 
		Batch tree nodes edition (image, color) - multi select mode 
		Global HotKey 
		Minimize to System Tray (small icon near clock) 
		Minimize by Esc, by Close 
	
	Notes:
		Default notes text: Empty, Date, Time, Clipboard, Template 
		Text Styles 
		Syntax highlight (Pascal, C++, Asp, PHP, INI, ASM...) 
		Common Phrases (Special codes: Date, Time, Clipboard, Cursor position) 
		Dynamic Editor (Tables, Images) 
		Bookmarks, Anchors 
		Tools (Case, Selection, Unicode) 
		Spell checker, Thesaurus 
		Templates (Insert, Preview and Edit, rtf, rvf, txt). 
		Support for HTML and MS Word tables 
		Import Notes from *.txt, *.wri, *.rtf, *.csv, Excel, Word, *.html and more 
		Export Notes to *.html, *.wri, *.csv, *.doc and more 
		Recognition of MS Word formatted text from the clipboard 
		Text drag & drop 
		No limits to note size or number of notes in notebook 
	
	Clipboard:
		Copy, Paste - Notes Subtree 
		Cut, Copy, Paste - Contacts and Passwords 
		Cut, Copy, Paste - Folder 
		Copy, Paste - Folder title 
	
	Hyperlinks:
		Link to Note, Anchors (See DEMO_PRO.treeDB - FAQ) 
		Link to Attachments (See DEMO_PRO.treeDB - Mobiles or Fonts) 
		Link to Contact (See DEMO_PRO.treeDB) 
		Link to Password (See DEMO_PRO.treeDB) 
		Link to local file 
		Web links (http://...) and Email links (mailto:...) 
		
and more...